Subject: bug#61673: closed (Re: bug#61673: [PATCH 0/1] GNULIB_SRCDIR should not allow multiple entries)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 23 Feb 2023 15:28:02 +0000

Your bug report

#61673: [PATCH 0/1] GNULIB_SRCDIR should not allow multiple entries

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
61673: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=61673
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#61673: [PATCH 0/1] GNULIB_SRCDIR should not allow multiple entries
From: Ludovic Courtès <[email-masked]>
To: Vivien Kraus <[email-masked]>
Cc: [email-masked]
Date: Thu, 23 Feb 2023 16:27:26 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Vivien Kraus <[email-masked]> skribis:

> * gnu/packages/build-tools.scm (gnulib-checkout) [search-path-specification
> GNULIB_SRCDIR]: Set separator to #f.

Applied, thanks!

Subject: [PATCH 0/1] GNULIB_SRCDIR should not allow multiple entries
From: Vivien Kraus <[email-masked]>
To: [email-masked]
Date: Tue, 21 Feb 2023 08:51:26 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Dear guix,

GNULIB_SRCDIR is an environment that should be set when gnulib is in the profile. To do that, I made it a search path specification, but I did not know that I could prevent multiple entries.

I was told in #60358 that I could use (separator #f), so here is the fix. Sorry I’m late!

Vivien

Vivien Kraus (1):
  gnu: gnulib: Allow only one directory name in GNULIB_SRCDIR.

 gnu/packages/build-tools.scm | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

base-commit: 73b5c955ae46af2548625fe31afe60193fb83e2a
-- 
2.39.1